Page MenuHomePhabricator

Efl.Ui.Popup.Alert.Scroll: add initial code for Efl.Ui.Popup.Alert.Scroll
ClosedPublic

Authored by herb on Aug 23 2017, 4:39 AM.

Details

Summary

Added Efl.Ui.Popup.Alert.Scroll Class.
It supports scrolling content.

Test Plan
  1. run elementary_test -to efluipopupalertscroll

Diff Detail

Repository
rEFL core/efl
Branch
devs/jaehyun/popup
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 4380
Build 4445: arc lint + arc unit
herb created this revision.Aug 23 2017, 4:39 AM
Jaehyun_Cho edited edge metadata.EditedAug 23 2017, 9:31 PM

@herb How can developers control scroller?

herb added a comment.Aug 24 2017, 1:16 AM

@Jaehyun_Cho
I think it would be nice to discuss this spec at the meeting.

herb updated this revision to Diff 12113.Aug 29 2017, 1:06 AM

update

herb updated this revision to Diff 12137.Aug 29 2017, 10:02 PM

modified the code

herb updated this revision to Diff 12149.Aug 30 2017, 9:15 PM

remove the space

Jaehyun_Cho accepted this revision.Aug 30 2017, 9:18 PM
This revision is now accepted and ready to land.Aug 30 2017, 9:18 PM
Jaehyun_Cho closed this revision.Nov 8 2017, 4:08 AM